    @echo off
    rem --------------- VARIABLES ------------------
    set SDKDRV=D
    set OUTDIR=\BC45M7
    set PATCH=your path
    
    if "%1"=="/?" goto helpscrn
    if "%1"=="-?" goto helpscrn
    if not "%1"=="" set SDKDRV=%1
    if not "%2"=="" set OUTDRV=%2
    if not "%3"=="" set OUTDIR=%3
    if not "%4"=="" set PATCH=%4
    if not "%2"=="" set OUTDIR=%OUTDRV%:%OUTDIR%

    cls
    echo %0 - Windows 95 Release M7 SDK file processor for Borland C++ 4.5
    echo.
    echo This script will process the SDK files contained on the M7 version
    echo of the Windows 95 beta CD-ROM for use with Borland C++ 4.5.
    echo.
    echo The following settings have been specified:
    echo   The SDK is in drive %SDKDRV%.
    echo   The modified SDK will be placed into %OUTDIR%.
    echo   PATCH.EXE is located in %PATCH%.
    echo.
    choice Is this correct /c:ync /t:c,45

    if errorlevel 2 goto abort
    if errorlevel 3 goto abort

    echo Creating %OUTDIR% and subdirectories...
    mkdir %OUTDIR%
    mkdir %OUTDIR%\INCLUDE
    echo Copying files from the CD-ROM in drive %SDKDRV% to %OUTDIR%...
    xcopy %SDKDRV%:\SDK\INC16 %OUTDIR%\INCLUDE
    if not errorlevel 0 goto xfail
    xcopy %SDKDRV%:\SDK\INC32 %OUTDIR%\INCLUDE
    if not errorlevel 0 goto xfail
    if not exist bc45m7.rtp goto nopatch
    xcopy bc45m7.rtp %OUTDIR%
    if not errorlevel 0 goto xfail
    if "%4"=="" goto inpath
    xcopy %PATCH% %OUTDIR%
    if not errorlevel 0 goto xfail
    :inpath
    if "%2"=="" goto over2
    %OUTDRV%:
    :over2
    cd %OUTDIR%
    patch bc45m7.rtp
    if exist %OUTDIR%\INCLUDE\winnet.h goto patchfail
    if not exist %OUTDIR%\INCLUDE\wtypes.h goto patchfail
    echo.
    echo The directory %OUTDIR% now contains INCLUDE and LIB directories.
    echo XCOPY their contents on top of your installation of Borland C++ 4.5
    echo to enable support for Windows 95 M7.  For example:
    echo.
    echo   XCOPY %OUTDIR%\*.* C:\BC45 /s
    echo.
    goto end

    :abort
    echo.
    echo Process aborted.
    goto usage

    :patchfail
    echo.
    echo The patch could not be applied.  Please check to make sure that
    echo the Windows 95 CD-ROM in drive %SDKDRV% is the M7 Beta 2 release.
    echo This patch cannot be applied to a later or earlier version of the
    echo Windows 95 SDK.
    echo.
    goto end

    :nopatch
    echo.
    echo The file BC45M7.RTP could not be found in the current directory.
    echo Process aborted.
    echo.
    goto end
    :xfail
    echo.
    echo XCOPY failed.  One or both of these settings is probably wrong:
    echo   The SDK is in drive %SDKDRV%.
    echo   The modified SDK will be placed into %OUTDIR%.
    echo   PATCH.EXE is located in %PATCH%
    echo.
    echo OR you are out of disk space.
    echo.
    echo Process aborted.
    echo.
    goto end

    :helpscrn
    echo %0 - Windows 95 Release M7 SDK file processor for Borland C++ 4.5
    echo.
    echo This script will process the SDK files contained on the M7 version
    echo of the Windows 95 beta CD-ROM for use with Borland C++ 4.5.
    echo.
    echo Defaults:
    echo   The CD-ROM containing the Windows 95 M7 CD-ROM is assumed to be %SDKDRV%.
    echo   The directory %OUTDIR% will be created to contain the output.  
    echo   PATCH.EXE assumed to be in your path.
    :usage
    echo.
    echo Usage:
    echo   %0 [CD-ROM Drive] [Output Drive] [Output Dir] [Location of PATCH.EXE]
    echo Examples:
    echo   %0
    echo   %0 E
    echo   %0 E D
    echo   %0 E D \M7FILES
    echo   %0 E D \M7FILES C:\UTILS\PATCH.EXE
    echo.  
    :end

